import os
import sys
import shutil


unrequired_files = ("install.bat", "install_copy_files.py",
                    "mc3.exe", "miniconda_install.bat", ".git")


def install():

    print("Instalando el Sistema de Predespacho Regional v1.0 beta")

    # Crear una carpeta en donde se copien e instalen todos los archivos
    idir = os.path.join(os.environ["LOCALAPPDATA"], "Merelec", "spr")

    if os.path.exists(idir):
        # Copiamos todos las carpetas y archivos al directorio de instalacion

        print("Copiando archivos del sistema")
        shutil.copytree(os.curdir, idir,
                        ignore=shutil.ignore_patterns(
                            "install.bat", "install_copy_files.py", "mc3.exe", "miniconda_install.bat", ".git", "create_shortcut.py", ".vscode", ".gitignore"),
                        dirs_exist_ok=True)

    


if __name__ == "__main__":
    install()
